Skip to content

Get Summary Of Transactions

Endpoint

GET https://api.mycactus.dev/custody/v1/api/projects/{b_id}/wallets/{wallet_code}/tx-summaries
GET https://api.mycactus.com/custody/v1/api/projects/{b_id}/wallets/{wallet_code}/tx-summaries

Parameters

Path Parameters

FieldTypeDescription
b_id
Required
StringBusiness line ID
wallet_code
Required
StringWallet name

Query Parameters

FieldTypeDescription
coin_name
Required
StringAsset name
Allowed Value: Refer to Coin Name (API) column in Supported Token
tx_types
Optional
String[]Transaction types
addresses
Optional
String[]Addresses
offset
Optional
Integer0 by default
limit
Optional
Integer10 by default
create_time_order
Optional
IntegerSort by creation time, 0 means in descending order, 1 means in ascending order; The result will be descending order by default
Allowed values: 0, 1
start_time
Optional
LongStart timestamp (0 by default)
end_time
Optional
LongEnd timestamp (current time by default)

Response

Response Body

FieldTypeDescription
codeIntegerResponse code (0 = success)
messageStringResponse message
successfulBooleanWhether the request was successful
dataObjectWallet detail (see data object details below).

data (object)

FieldTypeDescription
offsetIntegerOffset
limitIntegerLimit
totalIntegerTotal number of records
listObject[]List of all transactions (see list object details below)

list (object)

FieldTypeDescription
wallet_codeStringWallet ID
wallet_nameStringWallet name
chainStringChain name
wallet_typeStringWallet type
Allowed values: MIXED_ADDRESS, SEGREGATED_ADDRESS
coin_nameStringAsset name
order_noStringOrder ID
block_heightLongBlock height
tx_idStringTransaction hash
tx_typeStringTransaction types
Allowed values: See Transaction Types for the full list and descriptions.
amountDecimalTransaction amount
amount_strStringTransaction amount in string format
tx_feeDecimalTransaction fee
tx_fee_strStringTransaction fee in string format
wallet_balanceDecimalWallet balance after transaction
wallet_balance_strStringWallet balance after transaction in string format
remark_detailStringRemark detail
tx_time_stampLongTransaction timestamp
create_time_stampLongCreate timestamp
contract_addressStringThe contract address of the selected token. This value corresponds to the Smart Contract field in the Supported Tokens list.
token_idStringReturn only when the transaction involves an NFT; otherwise null.

Response Example

{
  "code": 0,
  "message": "",
  "successful": true,
  "data": {
    "offset": 0,
    "limit": 10,
    "list": [
      {
        "wallet_code": "CHTRON5526471577",
        "wallet_name": "",
        "chain": "TRON",
        "wallet_type": "MIXED_ADDRESS",
        "coin_name": "USDTTRC",
        "order_no": "",
        "block_height": 62532917,
        "tx_id": "b8eeceef6ee8311eb799a3ba45e95b33c3a402c94e3bbb3da0df87122f97b73a",
        "tx_type": "DEPOSIT",
        "amount": 20000000,
        "amount_str": "20000000",
        "tx_fee": null,
        "tx_fee_str": null,
        "wallet_balance": 434999000,
        "wallet_balance_str": "434999000",
        "remark_detail": null,
        "tx_time_stamp": 1764035742000,
        "create_time_stamp": 1764035767000,
        "contract_address": "TE5PfGcxG7DuqFC61HQHBFBrShM64u3LDx",
        "token_id": null
      }
    ],
    "total": 1
  }
}